Subject: Re: GoRedo shell specification?

From: Norman Kabir <[email-masked]>
Date: Fri, 26 Feb 2021 14:15:41 -0600

I figured it out--the behavior is different if it's executable.

*> executable .do is run as is, non-executable is run with /bin/sh -e[x]*

http://www.goredo.cypherpunks.ru/Notes.html#Notes

What is the motivation for this behavior? It's different from
apenwarr's implementation.

The tool is fantastic, by the way. Thank you!

Cheers,
--Norm

On Fri, Feb 26, 2021 at 11:26 AM Norman Kabir <[email-masked]> wrote:

> How is the shell specified in goredo? I have .do files with #!/bin/bash
> but when I invoke "source" I get an error message:
>
> source: not found
>
> This implies that it's running sh instead of bash.
>
> #!/usr/bin/env bash
>
> echo "Hello" 1>&2
> echo $SHELL $0 1>&2
> source foo.sh
>
> Cheers,
> --Norm
>